| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
crc8.h File Reference
`#include <wireshark.h>`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC uint8_t | crc8_0x2F (const uint8_t *buf, uint32_t len, uint8_t seed)
| Calculates a CRC8 checksum for the given buffer with the polynomial 0x2F using the precompiled CRC table.
WS_DLL_PUBLIC uint8_t | crc8_0x37 (const uint8_t *buf, uint32_t len, uint8_t seed)
| Calculates a CRC8 checksum for the given buffer with the polynomial 0x37 using the precompiled CRC table.
WS_DLL_PUBLIC uint8_t | crc8_0x3B (const uint8_t *buf, uint32_t len, uint8_t seed)
| Calculates a CRC8 checksum for the given buffer with the polynomial 0x3B using the precompiled CRC table.

## Detailed Description

Declaration of CRC-8 routine and tables

2011 Roland Knall rknal.nosp@m.l@gm.nosp@m.ail.c.nosp@m.om

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ crc8_0x2F()

WS_DLL_PUBLIC uint8_t crc8_0x2F | ( | const uint8_t * | buf,
|  | uint32_t | len,
|  | uint8_t | seed
| ) |  |

Calculates a CRC8 checksum for the given buffer with the polynomial 0x2F using the precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC8 checksum for the buffer

Calculates a CRC8 checksum for the given buffer with the polynom 0x2F using the precompiled CRC table

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC8 checksum for the buffer

## ◆ crc8_0x37()

WS_DLL_PUBLIC uint8_t crc8_0x37 | ( | const uint8_t * | buf,
|  | uint32_t | len,
|  | uint8_t | seed
| ) |  |

Calculates a CRC8 checksum for the given buffer with the polynomial 0x37 using the precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC8 checksum for the buffer

Calculates a CRC8 checksum for the given buffer with the polynom 0x37 using the precompiled CRC table

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC8 checksum for the buffer

## ◆ crc8_0x3B()

WS_DLL_PUBLIC uint8_t crc8_0x3B | ( | const uint8_t * | buf,
|  | uint32_t | len,
|  | uint8_t | seed
| ) |  |

Calculates a CRC8 checksum for the given buffer with the polynomial 0x3B using the precompiled CRC table.

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC8 checksum for the buffer

Calculates a CRC8 checksum for the given buffer with the polynom 0x3B using the precompiled CRC table

Parameters

  buf | a pointer to a buffer of the given length
  len | the length of the given buffer
  seed | The seed to use.

Returns
  the CRC8 checksum for the buffer